Bug 131662

Summary: WTF should have an optional mbmalloc target so we can benchmark FastMalloc
Product: WebKit Reporter: Geoffrey Garen <ggaren>
Component: New BugsAssignee: Geoffrey Garen <ggaren>
Status: RESOLVED FIXED    
Severity: Normal CC: barraclough, benjamin, cmarcelo, commit-queue, kling, mrowe, sam
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch darin: review+

Description Geoffrey Garen 2014-04-14 20:59:18 PDT
WTF should have an optional mbmalloc target so we can benchmark FastMalloc
Comment 1 Geoffrey Garen 2014-04-14 21:00:06 PDT
Created attachment 229342 [details]
Patch
Comment 2 Mark Rowe (bdash) 2014-04-14 23:24:43 PDT
Comment on attachment 229342 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=229342&action=review

> Source/WTF/WTF.xcodeproj/project.pbxproj:328
> +		1447AEBE18FCE56900B3D7FF /* libmbmalloc.dylib */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.dylib"; includeInIndex = 0; path = libmbmalloc.dylib; sourceTree = BUILT_PRODUCTS_DIR; };
> +		1447AEC518FCE57700B3D7FF /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk/System/Library/Frameworks/Foundation.framework; sourceTree = DEVELOPER_DIR; };

These paths need to be SDK-relative, not relative to the developer directory.

> Source/WTF/WTF.xcodeproj/project.pbxproj:1191
> +		1447AEBD18FCE56900B3D7FF /* mbmalloc */ = {

Can you give the target a more descriptive name?

> Source/WTF/WTF.xcodeproj/project.pbxproj:1383
> +			buildSettings = {

These settings all need to live in a .xcconfig file, and should be consistent with our other targets.
Comment 3 Geoffrey Garen 2014-04-15 14:17:28 PDT
Created attachment 229401 [details]
Patch
Comment 4 Geoffrey Garen 2014-04-15 14:19:29 PDT
> > Source/WTF/WTF.xcodeproj/project.pbxproj:328
> > +		1447AEBE18FCE56900B3D7FF /* libmbmalloc.dylib */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.dylib"; includeInIndex = 0; path = libmbmalloc.dylib; sourceTree = BUILT_PRODUCTS_DIR; };
> > +		1447AEC518FCE57700B3D7FF /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk/System/Library/Frameworks/Foundation.framework; sourceTree = DEVELOPER_DIR; };
> 
> These paths need to be SDK-relative, not relative to the developer directory.

Fixed to use the "<absolute>" style, like WTF and JavaScriptCore.

> > Source/WTF/WTF.xcodeproj/project.pbxproj:1191
> > +		1447AEBD18FCE56900B3D7FF /* mbmalloc */ = {
> 
> Can you give the target a more descriptive name?

This name is required by MallocBench. (That's what the "mb" is for.)

> > Source/WTF/WTF.xcodeproj/project.pbxproj:1383
> > +			buildSettings = {
> 
> These settings all need to live in a .xcconfig file, and should be consistent with our other targets.

Fixed.
Comment 5 Darin Adler 2014-04-16 10:24:27 PDT
Comment on attachment 229401 [details]
Patch

Looks like a Mac-specific or Cocoa-specific patch, but bug title didn’t make that clear.
Comment 6 Geoffrey Garen 2014-04-16 10:49:19 PDT
Committed r167355: <http://trac.webkit.org/changeset/167355>